@tailwind base;
@tailwind components;
@tailwind utilities;

@layer components {

  .btn {
    @apply font-medium rounded-lg text-sm text-gray-900 px-5 py-2.5 mr-2 mb-2 bg-white border border-gray-300
      hover:bg-gray-100
      focus:ring-4 focus:ring-gray-200 focus:outline-none; 

    &-primary {
      @apply text-white bg-primary-700 hover:bg-primary-800 focus:ring-primary-300;
    }

    &-danger {
      @apply text-white bg-red-700 hover:bg-red-800 focus:ring-red-300;
    }

    &-warning {
      @apply text-white bg-yellow-500 hover:bg-yellow-600 focus:ring-yellow-300;
    }
  }

  .btn-outline {
    @apply font-medium rounded-lg text-sm text-gray-900 px-5 py-2.5 mr-2 mb-2 bg-white border border-gray-300
      hover:bg-gray-900 hover:text-white
      focus:ring-4 focus:ring-gray-200 focus:outline-none; 
  }

  .btn-outline.btn-primary {
    @apply text-primary-700 border-primary-800 bg-white hover:bg-primary-800 hover:text-white focus:ring-primary-600;
  }

  .btn-outline.btn-danger {
    @apply text-danger-700 border-danger-800 bg-white hover:bg-danger-800 hover:text-white focus:ring-danger-300;
  }

  .btn-outline.btn-warning {
    @apply text-warning-600 border-warning-600 bg-white hover:bg-warning-500 hover:text-white focus:ring-warning-300;
  }

}
